clang 10.0.0git

Classes | Namespaces | Functions
CompilerInvocation.h File Reference
`#include "clang/Basic/CodeGenOptions.h"`
`#include "clang/Basic/DiagnosticOptions.h"`
`#include "clang/Basic/FileSystemOptions.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/LangStandard.h"`
`#include "clang/Frontend/DependencyOutputOptions.h"`
`#include "clang/Frontend/FrontendOptions.h"`
`#include "clang/Frontend/MigratorOptions.h"`
`#include "clang/Frontend/PreprocessorOutputOptions.h"`
`#include "clang/StaticAnalyzer/Core/AnalyzerOptions.h"`
`#include "llvm/ADT/IntrusiveRefCntPtr.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include <memory>`
`#include <string>`
Include dependency graph for CompilerInvocation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::CompilerInvocationBase
class | clang::CompilerInvocation
| Helper class for holding the data necessary to invoke the compiler. More...

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| llvm::opt
| llvm::vfs
| clang
| Dataflow Directional Tag Classes.

## Functions
bool | clang::ParseDiagnosticArgs (DiagnosticOptions &Opts, llvm::opt::ArgList &Args, DiagnosticsEngine *Diags=nullptr, bool DefaultDiagColor=true, bool DefaultShowOpt=true)
| Fill out Opts based on the options given in Args. More...
IntrusiveRefCntPtr< llvm::vfs::FileSystem > | clang::createVFSFromCompilerInvocation (const CompilerInvocation &CI, DiagnosticsEngine &Diags)
IntrusiveRefCntPtr< llvm::vfs::FileSystem > | clang::createVFSFromCompilerInvocation (const CompilerInvocation &CI, DiagnosticsEngine &Diags, IntrusiveRefCntPtr< llvm::vfs::FileSystem > BaseFS)